## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit      5c38b4287d4f80d265957445ae67b2f78aa952af
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global commitdate  20250217
# Generated from taskjuggler-3.8.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name taskjuggler

Name: rubygem-%{gem_name}
Version: 3.8.1
Release: %{autorelease}
Summary: A Project Management Software
License: GPL-2.0-only
URL: http://www.taskjuggler.org
#Source: https://rubygems.org/gems/%%{gem_name}-%%{version}.gem
# Need git history, so get source offline
Source:  TaskJuggler.tar.gz
Source:  getsource.sh

BuildRequires: git
BuildRequires: help2man
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
BuildRequires: rubygem(bundler)
BuildRequires: rubygem(rake)
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(webrick)
# Test dependencies
BuildRequires:  rubygem(base64)
BuildRequires:  rubygem(drb)
BuildRequires:  rubygem(mail)
BuildRequires:  rubygem(term-ansicolor)
BuildArch: noarch
Requires:  rubygem(mail)
Requires:  rubygem(term-ansicolor)

%description
TaskJuggler is a modern and powerful, Free and Open Source Software project
management tool. It's new approach to project planning and tracking is more
flexible and superior to the commonly used Gantt chart editing tools.
TaskJuggler is project management software for serious project managers. It
covers the complete spectrum of project management tasks from the first idea
to the completion of the project. It assists you during project scoping,
resource assignment, cost and revenue planning, risk and communication
management.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n TaskJuggler
# Use SPDX license identifier
sed -i "s/GPL-2.0/GPL-2.0-only/g" taskjuggler.gemspec

%build
# Create the gem as gem install only works on a gem file
rake gem %{gem_name}.gemspec

cp pkg/taskjuggler-3.8.1.gem .

%gem_install -n taskjuggler-3.8.1.gem

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

mkdir -p %{buildroot}%{_mandir}
mv %{buildroot}%{gem_dir}/gems/taskjuggler-%{version}/man  %{buildroot}%{_mandir}/man1

%check
pushd .%{gem_instdir}
rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/tj3
%{_bindir}/tj3client
%{_bindir}/tj3d
%{_bindir}/tj3man
%{_bindir}/tj3ss_receiver
%{_bindir}/tj3ss_sender
%{_bindir}/tj3ts_receiver
%{_bindir}/tj3ts_sender
%{_bindir}/tj3ts_summary
%{_bindir}/tj3webd
%{_mandir}/man1/tj3.1*
%{_mandir}/man1/tj3client.1*
%{_mandir}/man1/tj3d.1*
%{_mandir}/man1/tj3man.1*
%{_mandir}/man1/tj3ss_receiver.1*
%{_mandir}/man1/tj3ss_sender.1*
%{_mandir}/man1/tj3ts_receiver.1*
%{_mandir}/man1/tj3ts_sender.1*
%{_mandir}/man1/tj3ts_summary.1*
%{_mandir}/man1/tj3webd.1*
%exclude %{gem_instdir}/.gemtest
%license %{gem_instdir}/COPYING
%{gem_instdir}/bin
%{gem_instdir}/data
%{gem_libdir}
%{gem_instdir}/manual
%{gem_instdir}/tasks
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/spec
%{gem_instdir}/taskjuggler.gemspec
%{gem_instdir}/test

%changelog
## START: Generated by rpmautospec
* Sat May 03 2025 John Doe <packager@example.com> - 3.8.1-1
- Uncommitted changes
## END: Generated by rpmautospec
